package com.demo;

// import java.awt.Color;

import org.jfree.data.general.DefaultPieDataset;
import org.jfree.data.general.PieDataset;

public class Dataset 
{
	public  static final  String[]  SECTIONS    = {"Квартира", "Питание", "Школа, фитнес", "Развлечения", "Дача"};
	public  static final  double[]  EXPENSES_05 = {7035.8, 26000, 9200.0, 9450.0, 15000.0};
	public  static final  double[]  EXPENSES_06 = {6988.7, 22450, 4180.0,12840.0, 16500.0};

	public static PieDataset createPieDataset(final double[] expenses)
	{
		DefaultPieDataset dataset = new DefaultPieDataset();
		for (int i = 0; i < SECTIONS.length; i++)
			dataset.setValue(SECTIONS[i], new Double(expenses[i]));
		return dataset;
	}
}
